Bug 948082 - Rename Request: nodejs-cookie-jar - A cookie handling and cookie jar library for Node.js
Rename Request: nodejs-cookie-jar - A cookie handling and cookie jar library ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F19FeatureNodeJS 948659
  Show dependency treegraph
 
Reported: 2013-04-03 19:30 EDT by T.C. Hollingsworth
Modified: 2013-05-21 23:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: nodejs-oauth-sign-0.2.0-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 23:18:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-04-03 19:30:09 EDT
Spec: http://patches.fedorapeople.org/npm/nodejs-cookie-jar.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-cookie-jar-0.2.0-3.fc18.src.rpm
FAS Username: patches
Description:
A cookie handling and cookie jar library for Node.js.

Renamed from nodejs-tobi-cookie, which was a Fedora-only module that temporarily unbundled this library while we were awaiting for it to be done upstream.  It has now been done upstream, and this is its final home.
Comment 1 Tom Hughes 2013-04-05 19:32:50 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Obsolete uses <= not <

This doesn't actually cause a problem, as the release has been
bumped, but there shouldn't be any need for the package to obsolete
it's own old versions as the normal upgrade rules will take care of
that so it is only packages with the old name that need obsoleting.

- %check is present and all tests pass.

There are tests (which pass) but there is no %check section.

- Rpmlint (see above about obsoletion):

nodejs-cookie-jar.noarch: W: self-obsoletion nodejs-tobi-cookie <= 1:0.2.0-1 obsoletes nodejs-tobi-cookie = 1:0.2.0

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[-]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[!]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-cookie-jar-0.2.0-3.fc20.noarch.rpm
nodejs-cookie-jar.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-cookie-jar.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-cookie-jar.noarch: W: self-obsoletion nodejs-tobi-cookie <= 1:0.2.0-1 obsoletes nodejs-tobi-cookie = 1:0.2.0
nodejs-cookie-jar.noarch: W: only-non-binary-in-usr-lib
nodejs-cookie-jar.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-cookie-jar
nodejs-cookie-jar.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-cookie-jar.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-cookie-jar.noarch: W: self-obsoletion nodejs-tobi-cookie <= 1:0.2.0-1 obsoletes nodejs-tobi-cookie = 1:0.2.0
nodejs-cookie-jar.noarch: W: only-non-binary-in-usr-lib
nodejs-cookie-jar.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-cookie-jar (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-cookie-jar:
    nodejs-cookie-jar
    nodejs-tobi-cookie
    npm(cookie-jar)



MD5-sum check
-------------
http://registry.npmjs.org/cookie-jar/-/cookie-jar-0.2.0.tgz :
  CHECKSUM(SHA256) this package     : eeb643c638f828e39dfc9f44ad8d8e5376930868fdcaf3818ff316806e65af6d
  CHECKSUM(SHA256) upstream package : eeb643c638f828e39dfc9f44ad8d8e5376930868fdcaf3818ff316806e65af6d


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 948082
Comment 2 T.C. Hollingsworth 2013-04-08 07:55:11 EDT
> - Obsolete uses <= not <
> 
> This doesn't actually cause a problem, as the release has been
> bumped, but there shouldn't be any need for the package to obsolete
> it's own old versions as the normal upgrade rules will take care of
> that so it is only packages with the old name that need obsoleting.

Sorry, I'm a bit confused here.  Do i need to just:
Obsoletes: nodejs-tobi-cookie < 0.2.0-3
 
> - %check is present and all tests pass.
> 
> There are tests (which pass) but there is no %check section.

Sorry, didn't notice they added tests.   I'll add a %check section when I figure out how to properly fix the above issue.
Comment 3 Tom Hughes 2013-04-08 08:24:58 EDT
Yes I think you just need to change the <= to a < instead. See also:

  https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages

The idea is to obsolete any version of the old name which would be ordered before the first version of the new name - there is no need to obsolete any versions of the new name.
Comment 4 T.C. Hollingsworth 2013-04-18 21:25:25 EDT
Sorry for the delay, I think the bugmail got lost in the mountain of bugspam I got when npm & friends went stable.

Spec: http://patches.fedorapeople.org/npm/nodejs-cookie-jar.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-cookie-jar-0.2.0-4.fc19.src.rpm

* Fri Apr 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.2.0-4
- fix Obsoletes as sugessted during rename review
Comment 5 Tom Hughes 2013-04-19 03:56:15 EDT
That looks better. So I think it's just the missing %check left to fix now?
Comment 6 T.C. Hollingsworth 2013-04-23 01:28:12 EDT
Spec: http://patches.fedorapeople.org/npm/nodejs-cookie-jar.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-cookie-jar-0.2.0-5.fc19.src.rpm

* Tue Apr 23 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.2.0-5
- run tests
Comment 7 Tom Hughes 2013-04-23 03:32:33 EDT
Did you actually upload those files?
Comment 8 T.C. Hollingsworth 2013-04-23 03:58:25 EDT
Sorry, try it now.
Comment 9 Tom Hughes 2013-04-23 04:02:23 EDT
Great. Package approved.
Comment 10 T.C. Hollingsworth 2013-04-23 04:18:29 EDT
New Package SCM Request
=======================
Package Name: nodejs-cookie-jar
Short Description: A cookie handling and cookie jar library for Node.js
Owners: patched
Branches: f19 f18 el6
InitialCC:
Comment 11 T.C. Hollingsworth 2013-04-23 04:20:50 EDT
Sorry, typoed the username.

New Package SCM Request
=======================
Package Name: nodejs-cookie-jar
Short Description: A cookie handling and cookie jar library for Node.js
Owners: patches
Branches: f19 f18 el6
InitialCC:
Comment 12 Jon Ciesla 2013-04-23 08:10:58 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-04-27 22:20:31 EDT
nodejs-oauth-sign-0.2.0-1.fc18, nodejs-tunnel-agent-0.2.0-1.fc18, nodejs-json-stringify-safe-4.0.0-2.fc18, nodejs-aws-sign-0.2.0-1.fc18, npm-1.2.17-5.fc18, nodejs-npm-registry-client-0.2.20-1.fc18, nodejs-tar-0.1.17-1.fc18, nodejs-lru-cache-2.3.0-1.fc18, node-gyp-0.9.5-1.fc18, nodejs-forever-agent-0.2.0-1.fc18, nodejs-cryptiles-0.2.0-1.fc18, nodejs-hoek-0.8.1-1.fc18, nodejs-sntp-0.2.1-1.fc18, nodejs-hawk-0.12.1-1.fc18, nodejs-request-2.16.6-2.fc18, nodejs-boom-0.4.0-1.fc18, nodejs-cookie-jar-0.2.0-5.fc18, nodejs-read-package-json-0.3.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-5154/nodejs-npm-registry-client-0.2.20-1.fc18,nodejs-tar-0.1.17-1.fc18,nodejs-lru-cache-2.3.0-1.fc18,node-gyp-0.9.5-1.fc18,npm-1.2.17-5.fc18,nodejs-json-stringify-safe-4.0.0-2.fc18,nodejs-aws-sign-0.2.0-1.fc18,nodejs-oauth-sign-0.2.0-1.fc18,nodejs-tunnel-agent-0.2.0-1.fc18,nodejs-forever-agent-0.2.0-1.fc18,nodejs-cryptiles-0.2.0-1.fc18,nodejs-hoek-0.8.1-1.fc18,nodejs-sntp-0.2.1-1.fc18,nodejs-hawk-0.12.1-1.fc18,nodejs-request-2.16.6-2.fc18,nodejs-boom-0.4.0-1.fc18,nodejs-read-package-json-0.3.0-3.fc18,nodejs-cookie-jar-0.2.0-5.fc18
Comment 14 Fedora Update System 2013-04-27 22:22:22 EDT
nodejs-cookie-jar-0.2.0-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-cookie-jar-0.2.0-5.fc19
Comment 15 Fedora Update System 2013-04-28 14:08:04 EDT
nodejs-cookie-jar-0.2.0-5.fc19 has been pushed to the Fedora 19 testing repository.
Comment 16 Fedora Update System 2013-05-21 23:18:46 EDT
Package nodejs-oauth-sign-0.2.0-1.fc18, nodejs-tunnel-agent-0.2.0-1.fc18, nodejs-json-stringify-safe-4.0.0-2.fc18, nodejs-aws-sign-0.2.0-1.fc18, npm-1.2.17-5.fc18, nodejs-npm-registry-client-0.2.20-1.fc18, nodejs-tar-0.1.17-1.fc18, nodejs-lru-cache-2.3.0-1.fc18, node-gyp-0.9.5-1.fc18, nodejs-forever-agent-0.2.0-1.fc18, nodejs-cryptiles-0.2.0-1.fc18, nodejs-hoek-0.8.1-1.fc18, nodejs-sntp-0.2.1-1.fc18, nodejs-hawk-0.12.1-1.fc18, nodejs-request-2.16.6-2.fc18, nodejs-boom-0.4.0-1.fc18, nodejs-cookie-jar-0.2.0-5.fc18, nodejs-read-package-json-0.3.0-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nodejs-oauth-sign-0.2.0-1.fc18 nodejs-tunnel-agent-0.2.0-1.fc18 nodejs-json-stringify-safe-4.0.0-2.fc18 nodejs-aws-sign-0.2.0-1.fc18 npm-1.2.17-5.fc18 nodejs-npm-registry-client-0.2.20-1.fc18 nodejs-tar-0.1.17-1.fc18 nodejs-lru-cache-2.3.0-1.fc18 node-gyp-0.9.5-1.fc18 nodejs-forever-agent-0.2.0-1.fc18 nodejs-cryptiles-0.2.0-1.fc18 nodejs-hoek-0.8.1-1.fc18 nodejs-sntp-0.2.1-1.fc18 nodejs-hawk-0.12.1-1.fc18 nodejs-request-2.16.6-2.fc18 nodejs-boom-0.4.0-1.fc18 nodejs-cookie-jar-0.2.0-5.fc18 nodejs-read-package-json-0.3.0-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5154/nodejs-npm-registry-client-0.2.20-1.fc18,nodejs-tar-0.1.17-1.fc18,nodejs-lru-cache-2.3.0-1.fc18,node-gyp-0.9.5-1.fc18,npm-1.2.17-5.fc18,nodejs-json-stringify-safe-4.0.0-2.fc18,nodejs-aws-sign-0.2.0-1.fc18,nodejs-oauth-sign-0.2.0-1.fc18,nodejs-tunnel-agent-0.2.0-1.fc18,nodejs-forever-agent-0.2.0-1.fc18,nodejs-cryptiles-0.2.0-1.fc18,nodejs-hoek-0.8.1-1.fc18,nodejs-sntp-0.2.1-1.fc18,nodejs-hawk-0.12.1-1.fc18,nodejs-request-2.16.6-2.fc18,nodejs-boom-0.4.0-1.fc18,nodejs-read-package-json-0.3.0-3.fc18,nodejs-cookie-jar-0.2.0-5.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.